#define X_IO 35
#define Y_IO 34
#define K_IO 32
#define GPIO_INPUT_KEY_SEL  (1ULL<<K_IO)
typedef void (*FP_INPUT)(uint8_t);

#define ESP_INTR_FLAG_DEFAULT 0
#define DEFAULT_VREF    1100
#define NO_OF_SAMPLES   64

#define X_POS 0
#define X_NEG 1
#define Y_POS 2
#define Y_NEG 3
#define KEY_PRESS 5
#define UNDEFINED 6
#define IGNORE 7
typedef struct{
	uint8_t x;
	uint8_t y;
	uint8_t k;
} InputMsg;
void init_inputs(FP_INPUT);
void input_task(void *);
